using System;
using System.Runtime.CompilerServices;
using Microsoft.CSharp.RuntimeBinder;

internal sealed class Delegate296 : MulticastDelegate
{
	public extern CallSiteBinder Invoke(CSharpBinderFlags csharpBinderFlags_0, Type type_0, Type type_1);

	public static CallSiteBinder smethod_0(CSharpBinderFlags csharpBinderFlags_0, Type type_0, Type type_1, Delegate296 delegate296_1)
	{
		return delegate296_1(csharpBinderFlags_0, type_0, type_1);
	}

	public extern Delegate296(object object_0, IntPtr intptr_0);

	static Delegate296()
	{
		Class10.smethod_13(typeof(Delegate296).TypeHandle);
	}

	internal static Delegate296 delegate296_0;
}
